
package org.apache.servicemix.wsn.jaxws;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.HashMap;
import java.util.Map;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;

@WebServiceClient(targetNamespace = "http://servicemix.apache.org/wsn/jaxws", name = "SubscriptionManagerService", wsdlLocation = "file:/x1/home/gnodet/work/servicemix-3.2.1/deployables/serviceengines/servicemix-wsn2005/src/main/resources/org/apache/servicemix/wsn/wsn.wsdl")
public class SubscriptionManagerServiceService
    extends Service
{

    private static Map ports = new HashMap();
    public static Class SubscriptionManager = org.apache.servicemix.wsn.jaxws.SubscriptionManager.class;

    static {
        ports.put(new QName("http://servicemix.apache.org/wsn/jaxws", "JBI"), SubscriptionManager);
        ports.put(new QName("http://servicemix.apache.org/wsn/jaxws", "SubscriptionManagerServiceLocalPort"), SubscriptionManager);
    }

    public SubscriptionManagerServiceService()
        throws MalformedURLException
    {
        super(new URL("file:/x1/home/gnodet/work/servicemix-3.2.1/deployables/serviceengines/servicemix-wsn2005/src/main/resources/org/apache/servicemix/wsn/wsn.wsdl"), new QName("http://servicemix.apache.org/wsn/jaxws", "SubscriptionManagerService"));
    }

    public static Map getPortClassMap() {
        return ports;
    }

    @WebEndpoint(name = "JBI")
    public org.apache.servicemix.wsn.jaxws.SubscriptionManager getJBI() {
        return ((org.apache.servicemix.wsn.jaxws.SubscriptionManager)(this).getPort(new QName("http://servicemix.apache.org/wsn/jaxws", "JBI"), SubscriptionManager));
    }

    @WebEndpoint(name = "SubscriptionManagerServiceLocalPort")
    public org.apache.servicemix.wsn.jaxws.SubscriptionManager getSubscriptionManagerServiceLocalPort() {
        return ((org.apache.servicemix.wsn.jaxws.SubscriptionManager)(this).getPort(new QName("http://servicemix.apache.org/wsn/jaxws", "SubscriptionManagerServiceLocalPort"), SubscriptionManager));
    }

}
